// ww-rox.shader

textures/ww-rox/ww-r2-Light
{
qer_editorimage textures/ww-rox/ww-r2.tga
//q3map_normalImage textures/ww-rox/ww-r2.tga
q3map_lightmapBrightness 5
// 1 is default. 0.1-#
q3map_lightRGB 0.635 0.702 0.875
//0.365 0.322 0.125
q3map_surfacelight 3000
//q3map_lightmapFilterRadius 2 2
q3map_lightsubdivide 64
//q3map_bounceScale 5
// 1* can go high. test
//q3map_lightStyle 25
//lightstyle 1-31 flashing lights
{
  map $lightmap
  rgbGen identity
}
{
   map textures/ww-rox/ww-r2.tga
   blendFunc filter
   rgbGen identity
}
{
   map textures/ww-rox/ww-r2.tga
   blendfunc filter
}
}

textures/ww-rox/ww-Lamp
{
	qer_editorimage textures/ww-rox/ww-r2.tga
	q3map_lightimage textures/ww-rox/ww-r2.tga
	surfaceparm nodlight
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightsubdivide 64
	{
		map textures/ww-rox/ww-r2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ww-rox/ww-r2.tga
		blendfunc gl_one_minus_dst_color gl_one
	}
}

textures/ww-rox/ww-r2-Dark
{
qer_editorimage textures/ww-rox/ww-r2.tga
q3map_lightmapBrightness 0.11
{
   map $lightmap
   rgbGen identity
}
{
   map textures/ww-rox/ww-r2.tga
   blendFunc filter
   rgbGen identity
}
{
   map textures/ww-rox/ww-r2.tga
   blendfunc filter
}
}

textures/ww-rox/ww-r2-dGrey
{
qer_editorimage textures/ww-rox/ww-r2.tga
q3map_lightmapBrightness 0.33
{
   map $lightmap
   rgbGen identity
}
{
   map textures/ww-rox/ww-r2.tga
   blendFunc filter
   rgbGen identity
}
{
   map textures/ww-rox/ww-r2.tga
   blendfunc filter
}
}

textures/ww-rox/ww-r2-lGrey
{
qer_editorimage textures/ww-rox/ww-r2.tga
q3map_lightmapBrightness 0.66
{
   map $lightmap
   rgbGen identity
}
{
   map textures/ww-rox/ww-r2.tga
   blendFunc filter
   rgbGen identity
}
{
   map textures/ww-rox/ww-r2.tga
   blendfunc filter
}
}


textures/ww-rox/ww-sky
{
    qer_editorimage textures/ww-rox/ww-sky.tga
    q3map_sunExt 0.635 0.702 0.875 140 -35 25 3 32
	// (r g b) x, y, deviance 3, samples 16
	//q3map_lightmapFilterRadius 0 8
	//self [0 unless non-sky, other
	q3map_skyLight 80, 6
	// amount 1-200, iterations [3-6] *skylight replaces surfacelight and lightsubdivide
	
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	
	//nopicmip ''
	//nomipmaps , keeps quality
	
{
		map textures/ww-rox/ww-sky.tga
		tcMod scroll 0 0
		tcMod scale 1 1
		depthWrite
}
}

textures/ww-rox/ww-r2glassDark
{
 qer_editorimage textures/ww-rox/ww-r2.tga 
   surfaceparm trans 
   cull none
   qer_trans 0.5
{
   map textures/ww-rox/ww-r2.tga
   blendfunc filter
//filter = dark opaque
//blend = cloudy textured glass showing only projectiles
//add = light glass
   rgbGen vertex
   tcGen environment
}
}

textures/ww-rox/ww-r2glassCloud
{
   qer_editorimage textures/ww-rox/ww-r2.tga 
   surfaceparm trans
   surfaceparm slick 
   cull none
   qer_trans 0.5
{
   map textures/ww-rox/ww-r2.tga
   blendfunc blend
   rgbGen vertex
   tcGen environment
}
}

textures/ww-rox/ww-r2glassLight
{
   qer_editorimage textures/ww-rox/ww-r2.tga 
   surfaceparm trans 
   cull none
   qer_trans 0.5
{
   map textures/ww-rox/ww-r2.tga
   blendfunc add
   rgbGen vertex
   tcGen environment
}
}

textures/ww-rox/ww-r2water
	{
	qer_editorimage textures/ww-rox/ww-r2.tga
	qer_trans .5
	q3map_lightRGB 0.435 0.502 0.875
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .1 .1 0 .1		
{ 
	map textures/ww-rox/ww-r2.tga
	blendFunc GL_dst_color GL_one
	rgbgen identity
	tcmod scale .05 .05
	tcmod transform 0.3 0 0.3 0.2 0.2 0.4
	tcmod scroll -.01 .001
}
{
	map $lightmap
	blendFunc GL_dst_color GL_zero
	rgbgen identity		
}
}